> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/intro/operator/operator_logisch.md).

# Logische Operatoren

Mit Hilfe der logischen [Operatoren](/acron-9.3/intro/operator.md) formulieren Sie logische Ausdrücke (logische Verknüpfungen). Das Ergebnis ([Rückgabewert](/acron-9.3/intro/funktionen/rueckgabewert.md)) einer logischen Verknüpfung hat immer den Datentyp [BOOL](/acron-9.3/intro/datentypen.md).

Der Formeleditor stellt Ihnen die folgenden logischen Operatoren bereit:

| Operator       | Bedeutung                               | Datentypen |
| -------------- | --------------------------------------- | ---------- |
| !              | [Negierung](#negation)                  | BOOL       |
| AND oder .AND. | [logisches UND](#logical_and)           | BOOL       |
| OR oder .OR.   | [logisches ODER](#logical_or)           | BOOL       |
| XOR oder .XOR. | [logisches exklusiv ODER](#logical_xor) | BOOL       |

Beachten Sie, dass auch für logische Operatoren eine Bearbeitungsreihenfolge gilt. Diese Bearbeitungsreihenfolge ist analog der Reihenfolge für arithmetische Operatoren aufgebaut. Auch hier gilt die Regel "Punkt- vor Strichrechnung".

Ein Ausdruck wird in der Reihenfolge NEGIERUNG, danach logisches UND und als letztes logisches ODER/exklusiv ODER ausgewertet.

Möchten Sie diese Reihenfolge umgehen, müssen Sie Klammern setzen. Die Klammerebenen werden dann von innen nach außen ausgewertet.

## Negierung (!) <a href="#negation" id="negation"></a>

|               |                                                                                                                                                        |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Syntax:       | ! Operand                                                                                                                                              |
| Datentypen:   | BOOL                                                                                                                                                   |
| Rückgabewert: | BOOL                                                                                                                                                   |
| Beschreibung: | Liefert die logische Negation des Operanden. Das Ergebnis ist TRUE, wenn der Operand den Wert FALSE hat und FALSE, wenn der Operand den Wert TRUE hat. |

## Logisches UND (AND oder .AND.) <a href="#logical_and" id="logical_and"></a>

|               |                                                                                                                                                                                                |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand AND Operand                                                                                                                                                                            |
| Datentypen:   | BOOL                                                                                                                                                                                           |
| Rückgabewert: | BOOL                                                                                                                                                                                           |
| Beschreibung: | Liefert die logische UND Verknüpfung der beiden Operanden. Das Ergebnis ist TRUE, wenn beide Operanden den Wert TRUE haben. Ist einer der beiden Operanden FALSE, ist auch das Ergebnis FALSE. |

## Logisches ODER (OR oder .OR.) <a href="#logical_or" id="logical_or"></a>

|               |                                                                                                                                                                                                |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand OR Operand                                                                                                                                                                             |
| Datentypen:   | BOOL                                                                                                                                                                                           |
| Rückgabewert: | BOOL                                                                                                                                                                                           |
| Beschreibung: | Liefert die logische ODER Verknüpfung der beiden Operanden. Das Ergebnis ist TRUE, wenn einer der beiden Operanden den Wert TRUE hat. Sind beide Operanden FALSE, ist auch das Ergebnis FALSE. |

## Logisches exklusiv ODER (XOR oder .XOR.) <a href="#logical_xor" id="logical_xor"></a>

|               |                                                                                                                                                                                                                                                     |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | Operand XOR Operand                                                                                                                                                                                                                                 |
| Datentypen:   | BOOL                                                                                                                                                                                                                                                |
| Rückgabewert: | BOOL                                                                                                                                                                                                                                                |
| Beschreibung: | Liefert die logische exklusiv ODER Verknüpfung der beiden Operanden. Das Ergebnis ist nur dann TRUE, wenn genau einer der beiden Operanden den Wert TRUE hat. Haben beiden Operanden denselben Wert (TRUE oder FALSE), ist auch das Ergebnis FALSE. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/intro/operator/operator_logisch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
